Subject: Re: bug#24857: emacs24/25 FTBFS since a long time on GNU/Hurd

From: Svante Signell <[email-masked]>
Date: Sat, 02 Sep 2017 16:10:18 +0200

On Sat, 2017-09-02 at 16:45 +0300, Eli Zaretskii wrote:
> unblock 24655 by 24857
> thanks
> 
> > From: Paul Eggert <[email-masked]>
> > Date: Fri, 14 Jul 2017 05:21:44 -0700
> > Cc: [email-masked]
> > 
> > The last message I see from you on this bug report
> > <http://bugs.gnu.org/24857> is that you'd try something and report
> > back. Did that ever happen? Also, could you try the latest Emacs
> > master instead? That would be more helpful than trying 
> > to build old versions.
> 
> And another 1.5 month later with no responses, I conclude that we
> shouldn't block our releases due to this issue.

Sorry for not responding so far. I tried the rebuild and it failed
then. After that emacs25 sometimes succeeds and sometimes fails to
build on Hurd buildds. Mostly fails unfortunately.
Examples:
 25.1+1-1: fails
 25.1+1-2: fails
 25.1+1-3: succeeds
 25.2+1-2: succeeds
 25.2+1-5: buildd hangs

So the problem persists, even if the Debian package build is now
different. I don't expect that a build from Emacs master would succeed,
if built the Debian way with three targets: build-nox, build-x and
build-lucid. When I tried with the master sources the largest problem
was when enabling X. Still the same problems with Emacs
internal/external malloc-related code exist.